# autobg

Python script to automatically pick a new wallpaper from a folder every so often. Made for GNOME+systemd systems.

## Usage

Start by cloning the repo.

Then, edit the files to your desired settings. The default setting is to change the wallpaper every two minutes, but you may want it to be more or less frequent. To change this, edit the "OnUnitActiveSec" field in [autobg.timer](autobg.timer) and enter the number of seconds.

By default, the script picks a random wallpaper from `~/Pictures/Wallpapers`. If you'd like it to pick from a different folder, edit the path in [autobg](autobg).

You can then run the shell script [setup.sh](setup.sh). It will copy the script to `~/.local/bin` and install the files needed by systemd to run it periodically.

If you'd like to manually pick a new random wallpaper (without waiting for the timer), run `autobg` directly.
